Subject: Re: 2.6.20 and multipath routing

From: Chuck Ebbert <[email-masked]>
Date: Thu, 10 May 2007 18:42:00 -0400

Giampaolo Tomassoni wrote:
> 
> 		default  src 1.2.1.6
> 		        nexthop via 1.2.2.254  dev atm0 weight 1
> 		        nexthop via 1.1.2.254  dev atm1 weight 1
> 

When I tried this I found that weight 1 didn't work -- all traffic
went out one interface until I changed both weights to 50.

And on ethernet, I had to have static ARP entries or the kernel
would ARP on one interface, and if it didn't get a reply in less
than one microsecond it would immediately go to the second
interface.